curl -H "Authorization: Bearer sk_workspace_test_..." \
"https://sandbox.api.hopae.com/connect/v1/apps/HqTRDIYH"
{
"clientId": "HqTRDIYH",
"clientSecret": "sh_app_...",
"name": "My App",
"redirectUris": ["https://app.example.com/callback"],
"providers": {
"passport": { "enabled": true },
"smartid": { "enabled": true, "config": { "useManagedCredentials": false, "rpUUID": "d278d410-...", "rpName": "Example" } },
"mitid": { "enabled": false }
},
"defaultWorkflowId": "wf_6ec9b183",
"workflows": [
{
"workflowId": "wf_6ec9b183",
"name": "Default",
"entryNodeId": "nd_231bba48",
"nodes": [
{ "id": "nd_231bba48", "type": "request", "next": "nd_8fa2291e" },
{ "id": "nd_8fa2291e", "type": "verification", "next": "nd_9ea348df", "config": { "channel": "oidc", "claims": ["name", "given_name", "family_name", "birthdate"], "mode": "pii" } },
{ "id": "nd_9ea348df", "type": "response" }
],
"createdAt": "2026-03-27T08:22:51.272Z",
"updatedAt": "2026-03-27T08:22:51.272Z"
}
],
"organizationId": "org_...",
"webhookConfig": {
"enabled": false,
"retryAttempts": 3,
"timeoutSeconds": 10,
"events": []
}
}
Retrieve a single app by client_id.
curl -H "Authorization: Bearer sk_workspace_test_..." \
"https://sandbox.api.hopae.com/connect/v1/apps/HqTRDIYH"
{
"clientId": "HqTRDIYH",
"clientSecret": "sh_app_...",
"name": "My App",
"redirectUris": ["https://app.example.com/callback"],
"providers": {
"passport": { "enabled": true },
"smartid": { "enabled": true, "config": { "useManagedCredentials": false, "rpUUID": "d278d410-...", "rpName": "Example" } },
"mitid": { "enabled": false }
},
"defaultWorkflowId": "wf_6ec9b183",
"workflows": [
{
"workflowId": "wf_6ec9b183",
"name": "Default",
"entryNodeId": "nd_231bba48",
"nodes": [
{ "id": "nd_231bba48", "type": "request", "next": "nd_8fa2291e" },
{ "id": "nd_8fa2291e", "type": "verification", "next": "nd_9ea348df", "config": { "channel": "oidc", "claims": ["name", "given_name", "family_name", "birthdate"], "mode": "pii" } },
{ "id": "nd_9ea348df", "type": "response" }
],
"createdAt": "2026-03-27T08:22:51.272Z",
"updatedAt": "2026-03-27T08:22:51.272Z"
}
],
"organizationId": "org_...",
"webhookConfig": {
"enabled": false,
"retryAttempts": 3,
"timeoutSeconds": 10,
"events": []
}
}
clientId.
Bearer <API_KEY> from Console > Developers > Workspace API Keys.curl -H "Authorization: Bearer sk_workspace_test_..." \
"https://sandbox.api.hopae.com/connect/v1/apps/HqTRDIYH"
{
"clientId": "HqTRDIYH",
"clientSecret": "sh_app_...",
"name": "My App",
"redirectUris": ["https://app.example.com/callback"],
"providers": {
"passport": { "enabled": true },
"smartid": { "enabled": true, "config": { "useManagedCredentials": false, "rpUUID": "d278d410-...", "rpName": "Example" } },
"mitid": { "enabled": false }
},
"defaultWorkflowId": "wf_6ec9b183",
"workflows": [
{
"workflowId": "wf_6ec9b183",
"name": "Default",
"entryNodeId": "nd_231bba48",
"nodes": [
{ "id": "nd_231bba48", "type": "request", "next": "nd_8fa2291e" },
{ "id": "nd_8fa2291e", "type": "verification", "next": "nd_9ea348df", "config": { "channel": "oidc", "claims": ["name", "given_name", "family_name", "birthdate"], "mode": "pii" } },
{ "id": "nd_9ea348df", "type": "response" }
],
"createdAt": "2026-03-27T08:22:51.272Z",
"updatedAt": "2026-03-27T08:22:51.272Z"
}
],
"organizationId": "org_...",
"webhookConfig": {
"enabled": false,
"retryAttempts": 3,
"timeoutSeconds": 10,
"events": []
}
}